<?php
/**
 * Clase DocumentoBL
 *
 * @package    
 * @subpackage 
 * @author     DocumentoBL
 * @version    SVN: $Id: DocumentoBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class DocumentoBL{
    
  /**
  * 
  *
  * @param $o_DocumentoBean, objeto de tipo Documento 
  * @return Boolean
  */
  public function busquedaDocumento(DocumentoBean $o_DocumentoBean){
    
    $o_DocumentoDP = new DocumentoDP($o_DocumentoBean);
    if($o_DocumentoBean->getIdDocumento()){
      return $o_DocumentoDP->selectByPk();
    }else{
      return $o_DocumentoDP->select();
    }
    
  }
  
  public function busquedaDocumentoResulset(DocumentoBean $o_DocumentoBean){
    
    $o_DocumentoDP = new DocumentoDP($o_DocumentoBean);
    return $o_DocumentoDP->selectResultset();
        
  }
  
  public function insertarDocumento(DocumentoBean $o_DocumentoBean){
    
    $o_DocumentoCT = new DocumentoCT();
    return $o_DocumentoCT->guardar($o_DocumentoBean);
    
  }
  public function modificarDocumento(DocumentoBean $o_DocumentoBean){
      $o_DocumentoCT = new DocumentoCT();
      return $o_DocumentoCT->modificar($o_DocumentoBean);
  }
  /**
	* Función que retorna un objeto Documento o una lista de Objetos de Documento,
	* dependiendo del parametro que se le envia si este contiene o no el Id de Documento
	*
	* @param $o_DocumentoBean, es un objeto de tipo Documento
	* @return Object
	*/
	public function modificarEstadoDocumento(DocumentoBean $o_DocumentoBean){
	  
	}
  
  public function eliminarDocumento(DocumentoBean $o_DocumentoBean){
    $o_DocumentoCT = new DocumentoCT();
    return $o_DocumentoCT->eliminar($o_DocumentoBean);
    
  }
  
  public function getCountResult(DocumentoBean $o_DocumentoBean){
    $o_DocumentoCT = new DocumentoCT();
    return $o_DocumentoCT->totalRegistros($o_DocumentoBean);
  }
  
}

